package cn.iocoder.yudao.module.system.service.biz;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.*;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.excel.DailyExpensesExcelVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.DailyExpensesDO;

import java.util.List;
import java.util.Map;

/**
 * 日常费用 Service 接口
 *
 * @author 管理员
 */
public interface DailyExpensesService {


    void createDailyExpenses(DailyExpensesSaveReqVO createReqVO);

    DailyExpensesRespVO getDailyExpenses(Long id);

    void deleteDailyExpenses(Long id);

    void supplementaryExpenses(DailyExpensesSaveReqVO updateReqVO);

    PageResult<DailyExpensesDO> getDailyExpensesPage(DailyExpensesPageReqVO pageReqVO);

    Map<String,Object> importDailyExpensesExcel(List<DailyExpensesExcelVO> list);

    List<String> getBillingMonthByElderId(Long elderId);

    void editDailyExpensesMonth(DailyExpensesSaveReqVO updateReqVO);
    List<DailyExpensesDO> getMedicalDailyExpenses(DailyMedicalExpensesReqVO pageReqVO);

    void useMedicine(UseMedicineVO useMedicineVO);
}